#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Library for manipulating Macintosh icns files
Summary(pl.UTF-8):	Biblioteka do operowania na plikach icns z Macintosha
Name:		libicns
Version:	0.8.1
Release:	5
Group:		Libraries
# libicns, icns2png and icontainer2icns are under LGPLv2+
# png2icns is under GPLv2+
License:	LGPL v2+ (library and most tools), GPL v2+ (png2icns)
Source0:	http://downloads.sourceforge.net/icns/%{name}-%{version}.tar.gz
# Source0-md5:	7a9b74b84ce08c5b11bdee3cad296dd3
URL:		http://icns.sourceforge.net/
BuildRequires:	jasper-devel
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libicns is a library providing functionality for easily reading and
writing Macintosh icns files.

%description -l pl.UTF-8
libicns to biblioteka umożliwiająca łatwy odczyt i zapis plików icns z
Macintosha.

%package devel
Summary:	Development files for libicns library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libicns
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for developing applications
that use libicns.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących libicns.

%package static
Summary:	Static libicns library
Summary(pl.UTF-8):	Statyczna biblioteka libicns
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libicns library.

%description static -l pl.UTF-8
Statyczna biblioteka libicns.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libicns.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/icns2png
%attr(755,root,root) %{_bindir}/icontainer2icns
%attr(755,root,root) %{_bindir}/png2icns
%attr(755,root,root) %{_libdir}/libicns.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicns.so.1
%{_mandir}/man1/icns2png.1*
%{_mandir}/man1/icontainer2icns.1*
%{_mandir}/man1/png2icns.1*

%files devel
%defattr(644,root,root,755)
%doc src/apidocs.html
%attr(755,root,root) %{_libdir}/libicns.so
%{_includedir}/icns.h
%{_pkgconfigdir}/libicns.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libicns.a
%endif
%changelog
* Sat Feb 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libicns.git;a=log;h=master

* Sat Feb 25 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 75fe1ff
- release 5 (by relup.sh)

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> f986da9
- release 4 (by relup.sh)

* Sat Jul 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 18796f5
- pl, cleanup, bconditional -static
- release 3

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 24cfb59
- release 2 (by relup.sh)

* Sat Feb 09 2013 Elan Ruusamäe <glen@delfi.ee> f655022
- which is rpm generator dependency

* Sat Feb 09 2013 Elan Ruusamäe <glen@delfi.ee> 53fbe25
- update BR with cleanbuild

* Sat Feb 09 2013 Elan Ruusamäe <glen@delfi.ee> 4fcf91a
- new, version 0.8.1

